Bug 137909 - RuntimeExceptions being thrown from java code
Summary: RuntimeExceptions being thrown from java code
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D
Version: RHN Stable
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ryan Bloom
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: rhnMilestone1
TreeView+ depends on / blocked
 
Reported: 2004-11-02 18:43 UTC by Jesus M. Rodriguez
Modified: 2007-04-18 17:14 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2004-12-03 16:04:15 UTC


Attachments (Terms of Use)

Description Jesus M. Rodriguez 2004-11-02 18:43:33 UTC
The following files throw RuntimeExceptions, we need to fix
this with an appropriate Exception.

common/hibernate/HibernateHelper.java
common/security/acl/Acl.java
common/security/acl/Acl.java
common/security/acl/Acl.java
common/security/SessionSwap.java
common/util/manifestfactory/test/PrimitiveBuilder.java
frontend/action/EditAddressAction.java
frontend/action/EditAddressAction.java
frontend/taglibs/ToolbarTag.java
frontend/events/test/TraceBackEventTest.java

Comment 1 Jesus M. Rodriguez 2004-12-03 02:31:06 UTC
Latest list of files is as follows:

common/hibernate/HibernateHelper.java
common/security/acl/Acl.java
common/security/SessionSwap.java
common/util/manifestfactory/test/PrimitiveBuilder.java
testing/RhnMockDynaActionForm.java
frontend/taglibs/ToolbarTag.java
frontend/events/test/TraceBackEventTest.java


Comment 2 Ryan Bloom 2004-12-03 16:04:15 UTC
I have fixed all of these, except for the RuntimeExceptions being
thrown from test classes.  I don't care about being as picky about our
test classes not throwing RuntimeException, because they are a valid
exception, they just aren't as useful for debugging purposes.


Note You need to log in before you can comment on or make changes to this bug.